Bug 1825909 - Nameserver limits were exceeded, some nameservers have been omitted
Summary: Nameserver limits were exceeded, some nameservers have been omitted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.5.0
Assignee: Yossi Boaron
QA Contact: Nataf Sharabi
URL:
Whiteboard:
Depends On: 1791008
Blocks: 1829752
TreeView+ depends on / blocked
 
Reported: 2020-04-20 13:18 UTC by Yossi Boaron
Modified: 2020-07-13 17:29 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: In baremetal platform, in order to support nodes DNS resolve we point node's /etc/resolv.conf to local instance of infra coredns by prepending the node's control plane IP address to node's /etc/resolv.conf. Consequence: When the hosts already had 3 nameservers in their /etc/resolv.conf file, pods generate alerts about "nameserver limits were exceeded" Fix: Only leave the first 3 nameservers in the generated /etc/resolv.conf Result: Pods no longer complain about "nameserver limits were exceeded"
Clone Of: 1791008
: 1829752 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:29:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1674 None closed Bug 1825909: baremetal - Limit the number of nameservers to 3 2020-09-05 07:44:25 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:29:22 UTC

Comment 1 Stephen Benjamin 2020-04-21 11:58:06 UTC
Why was this cloned? As a backport for 4.4? Looks like the flags are wrong if so, target release should be 4.4.

Comment 2 Yossi Boaron 2020-04-21 12:40:36 UTC
The OCP on OSP team hit this bug, since baremetal-ipi use the same design for handling DNS (including setting nameserver list in /etc/resolv.conf) - I decided to clone this bug.
I think we should set target release for this bug to 4.5; if we'll decide to backport it, we should open/clone new bugs with the relevant target release.

Comment 3 Stephen Benjamin 2020-04-22 11:48:55 UTC
Got it, thanks!

Comment 6 Nataf Sharabi 2020-05-11 12:07:32 UTC
[kni@provisionhost-0-0 ~]$ oc version
Client Version: 4.5.0-0.nightly-2020-05-06-003431
Server Version: 4.5.0-0.nightly-2020-05-06-003431
Kubernetes Version: v1.18.0-rc.1

All of the following came with zero results:

oc get events --all-namespaces | grep omitted
oc get events --all-namespaces | grep "Nameserver limits were exceeded"


Verified.

Comment 7 errata-xmlrpc 2020-07-13 17:29:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.